## org.eclipse.ocl.cst
Interface DefExpressionCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  DefExpressionCSImpl

    public interface DefExpressionCS

extends CSTNode

A representation of the model object 'Def Expression CS'.

The following features are supported:

- `Operation CS`
- `Variable CS`
- `Expression CS`

See Also:
  `CSTPackage.getDefExpressionCS()`

Method Summary
`OCLExpressionCS` `getExpressionCS()` Returns the value of the 'Expression CS' containment reference
`OperationCS` `getOperationCS()` Returns the value of the 'Operation CS' containment reference
`VariableCS` `getVariableCS()` Returns the value of the 'Variable CS' containment reference
`void` `setExpressionCS(OCLExpressionCS value)` Sets the value of the '`Expression CS`' containment reference
`void` `setOperationCS(OperationCS value)` Sets the value of the '`Operation CS`' containment reference
`void` `setVariableCS(VariableCS value)` Sets the value of the '`Variable CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperationCS

    OperationCS getOperationCS()

  Returns the value of the 'Operation CS' containment reference.

  If the meaning of the 'Operation CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation CS' containment reference.
  See Also:
    `setOperationCS(OperationCS)`, `CSTPackage.getDefExpressionCS_OperationCS()`

### setOperationCS

    void setOperationCS(OperationCS value)

  Sets the value of the '`Operation CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Operation CS' containment reference.
  See Also:
    `getOperationCS()`

### getVariableCS

    VariableCS getVariableCS()

  Returns the value of the 'Variable CS' containment reference.

  If the meaning of the 'Variable CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable CS' containment reference.
  See Also:
    `setVariableCS(VariableCS)`, `CSTPackage.getDefExpressionCS_VariableCS()`

### setVariableCS

    void setVariableCS(VariableCS value)

  Sets the value of the '`Variable CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable CS' containment reference.
  See Also:
    `getVariableCS()`

### getExpressionCS

    OCLExpressionCS getExpressionCS()

  Returns the value of the 'Expression CS' containment reference.

  If the meaning of the 'Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression CS' containment reference.
  See Also:
    `setExpressionCS(OCLExpressionCS)`, `CSTPackage.getDefExpressionCS_ExpressionCS()`

### setExpressionCS

    void setExpressionCS(OCLExpressionCS value)

  Sets the value of the '`Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression CS' containment reference.
  See Also:
    `getExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.